osl::move_classifier::OpenCheck< P > Struct Template Reference

`#include <openCheck.h>`

## Static Public Member Functions

static bool | isMember (const NumEffectState &state, Ptype ptype, Square from, Square to)

## Detailed Description

template<Player P>
struct osl::move_classifier::OpenCheck< P >

Definition at line 15 of file openCheck.h.

## Member Function Documentation

## isMember()

template<Player P>

bool osl::move_classifier::OpenCheck< P >::isMember | ( | const NumEffectState & | state,
|  | Ptype | ptype,
|  | Square | from,
|  | Square | to )

inline static

Definition at line 17 of file openCheck.h.

References osl::alt(), and isMember().

Referenced by osl::move_classifier::Check< P >::isMember(), and isMember().

The documentation for this struct was generated from the following file:

- openCheck.h